Subject: bug#65604: [PATCH] Display the exit code if the last command failed in Eshell

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Aug 2023 22:25:34 +0300

> From: Davide Masserut <[email-masked]>
> Cc: Eshel Yaron <[email-masked]>, [email-masked],
>  [email-masked]
> Date: Wed, 30 Aug 2023 21:02:00 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Why do you meed :eval at all?  AFAIR, having a symbol in the 
> > mode line
> > automatically uses its current value when the mode line is 
> > redrawn.
> 
> Wouldn't this strip the symbol of its text properties?

Sorry, I don't understand: what symbol and why do we care about its
text properties?

What I meant is that reference to a symbol in mode-line-format
automatically uses the value of that symbol, unless I'm confused or
misremembering.